petsc-3.12.1 2019-10-22
Report Typos and Errors

# MATSOLVERMATLAB

"matlab" - Providing direct solver LU for sequential aij matrix via the external package MATLAB.

Works with MATSEQAIJ matrices.

### Options Database Keys

-pc_factor_mat_solver_type matlab -selects MATLAB to do the sparse factorization

### Notes

You must ./configure with the options --with-matlab --with-matlab-engine

### See Also

PCLU

### See Also

PCFactorSetMatSolverType(), MatSolverType

### Level

beginner

### Location

src/mat/impls/aij/seq/matlab/aijmatlab.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages